$FreeBSD: ports/audio/pd/files/patch-src_s_audio_oss.c,v 1.1 2003/11/12 00:55:19 trevor Exp $

--- src/s_audio_oss.c.orig	Fri Mar 14 19:03:00 2008
+++ src/s_audio_oss.c	Mon Sep 22 09:33:36 2008
@@ -5,7 +5,11 @@
 
 /* this file inputs and outputs audio using the OSS API available on linux. */
 
-#include <linux/soundcard.h>
+#ifdef __OpenBSD__
+#include <soundcard.h>
+#else
+#include <sys/soundcard.h>
+#endif
 
 #include "m_pd.h"
 #include "s_stuff.h"
@@ -71,7 +75,7 @@ t_sample *sys_soundin;
     /* OSS-specific private variables */
 static int oss_blockmode = 1;   /* flag to use "blockmode"  */
 static int oss_32bit = 0;       /* allow 23 bit transfers in OSS  */
-static char ossdsp[] = "/dev/dsp%d"; 
+static char ossdsp[] = "/dev/sound%d"; 
 
     /* don't assume we can turn all 31 bits when doing float-to-fix; 
     otherwise some audio drivers (e.g. Midiman/ALSA) wrap around. */
@@ -97,8 +101,8 @@ void oss_init(void)
     {
         char devname[100];
         if (i == 0)
-            strcpy(devname, "/dev/dsp");
-        else sprintf(devname, "/dev/dsp%d", i);
+            strcpy(devname, "/dev/sound");
+        else sprintf(devname, "/dev/sound%d", i);
         if ( (fd = open(devname, O_WRONLY|O_NONBLOCK)) != -1)
         {
             oss_ndev++;
@@ -314,8 +318,8 @@ int oss_open_audio(int nindev,  int *indev,  int nchin
             goto end_out_loop;
 
         if (thisdevice > 0)
-            sprintf(devname, "/dev/dsp%d", thisdevice);
-        else sprintf(devname, "/dev/dsp");
+            sprintf(devname, "/dev/sound%d", thisdevice);
+        else sprintf(devname, "/dev/sound");
             /* search for input request for same device.  Succeed only
             if the number of channels matches. */
         for (j = 0; j < nindev; j++)
@@ -412,8 +416,8 @@ int oss_open_audio(int nindev,  int *indev,  int nchin
             goto end_in_loop;
 
         if (thisdevice > 0)
-            sprintf(devname, "/dev/dsp%d", thisdevice);
-        else sprintf(devname, "/dev/dsp");
+            sprintf(devname, "/dev/sound%d", thisdevice);
+        else sprintf(devname, "/dev/sound");
 
         sys_setalarm(1000000);
 
